#!c:sksh

#*************************************************************************
# Small history load function
#*************************************************************************

   if [ "$1" = '-?' -o "$#" -gt 1 ]
   then
       echo 'Usage:' $(basename $0) '[ <f> ]'
       echo '       (loads history list from s:SKsh_Hist.<f>,' \
            'default <f> = $CLINUM)'
       return 1
   fi

   [ "$SIZE" = 'normal' ] ||
       echo "This command does not operate with Tiny_SKsh." && return 2

   history -l < "s:SKsh_Hist.${1:-$CLINUM}"
