#!c:sksh

#*************************************************************************
# This function renames files to a new extention
#*************************************************************************

local _fspec _oldbase _newsuffix

if [ $# -lt 2 -o "$1" = '-?' ]
then
   echo 'Usage:' $(basename $0) 'newext files...'
   echo '       (renames files with new extention)'
   return 1
fi

_newsuffix="$1"

if [ -z $(car "$_newsuffix" '.') ]
then
   _newsuffix=$(cdr "$_newsuffix" '.')
fi

shift

for _fspec in $*
do
   if [ ! -f "$_fspec" ]
   then
      echo -c $(basename $0) ": $_fspec not found, skipping."
   else
      _oldbase=$(extname -v "$_fspec")
      mv "$_fspec" "$_oldbase.$_newsuffix"
   fi
done

