#!c:sksh

#*************************************************************************
# Small history list function
#*************************************************************************

   local _hfile

   if [ "$1" = '-?' -o "$#" -gt 1 ]
   then
       echo 'Usage:' $(basename $0)
       echo '       (lists saved history files)'
       return 1
   fi

   [ "$SIZE" = 'normal' ] ||
       echo "This command does not operate with Tiny_SKsh." && return 2

   for _hfile in s:SKsh_Hist.*
   do
      [ -z "$_hfile" -o "$_hfile" = 's:SKsh_Hist.*' ] &&
         echo 'No history files saved.' && return

      extname "$_hfile"
   done
