#!c:sksh

#*************************************************************************
# Small "usage" function to print usage message for builtins
#*************************************************************************

   if [ "$#" -eq 0 -o "$1" = '-?' ]
   then
       echo 'Usage:' $(basename $0) '[ builtin | script | binary ]...'
       echo '       (displays usage message for' \
            'builtins/scripts/external binaries)'
       return 1
   fi

   while [ -n "$*" ]
   do
      $1 '-?'
      echo
      shift
   done
